<script setup lang="ts">
import { RouterLink, RouterView } from 'vue-router'
import MainAppBar from './components/MainAppBar.vue';
import { provide, ref } from 'vue';
import MainMenu from './components/MainMenu.vue';


const rail = ref(true)
provide('rail', rail)

</script>

<template>
  <v-layout class="rounded rounded-md">
    <MainAppBar></MainAppBar>
    <MainMenu></MainMenu>
      <v-main class="align-center justify-center" style="min-height: 300px; ">
        <div class="pa-6" >
          <router-view></router-view>
        </div>
      </v-main>
  </v-layout>
</template>

<style scoped>
.v-layout {
  background-image: url(./img/menu/AppBG.png);
  background-size: cover;
  background-repeat: no-repeat;
}
</style>
